Confluence 6 升级以后 原

7. 拷贝你的数据库驱动

如果你现在使用的是 Oracle 或者 MySQL 数据库的话,你讲要重新拷贝 jdbc 驱动的 jar 文件到你已经存在的 Confluence 安装目录中 confluence/WEB-INF/lib ,这个目录在你的新安装目录下。如果你使用的是 Microsoft SQL 和 Postgres 数据库,你可以忽略这个步骤。

8. 重新应用任何修改

在升级和和整合的过程中,Confluence 安装下面的配置将会被修改:

  • TCP 端口的值,在 <install-directory>/conf/server.xml 文件中。
  • Confluence home 目录的位置,在 <install-directory>/confluence/WEB-INF/classes/confluence-init.properties 属性文件中。

所有其他的自定义配置,包括 CATALINA_OPTS 参数,这个参数在你的 <install-directory>/bin/setenv.sh / setenv.bat 文件中,都需要手动修改。

 告诉我如何进行这些操作...

9. 更新你的反向代理,并且确定 Confluence 能够正常访问

如果你正在计划从 Confluence 5.x 升级 Confluence 6.x 你需要修改你的服务器反向代理(如果你使用了的话),并且添加 Synchrony,Synchrony 在协同编辑中使用。请参考 Proxy and SSL considerations 页面中的内容来获得更多的信息,你需要对你的反向代理来进行配置。

一旦你的升级完成,你将可用访问 Confluence(通过代理访问,不是直接访问)并且:

  • 进入 

 > 基本配置(General Configuration) > 协同编辑(Collaborative editing) 然后检查 Synchrony 的状态是否在运行(running)

  • 对任何页面在浏览器中进行编辑,并且确定你能够连接 Synchrony。

如果 Synchrony 没有运行或者你可以在编辑器中查看到错误,请访问 Troubleshooting Collaborative Editing 页面获得建议的修改步骤,有可能是你的反向代理没有配置正确。

https://www.cwiki.us/display/CONF6ZH/Upgrading+Confluence

(adsbygoogle = window.adsbygoogle || []).push({});

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券